Page tree
Skip to end of metadata
Go to start of metadata

Overview

We have started to update cPanel & WHM's internal PHP from version 5.4 to 5.6. We plan to publish this update in cPanel & WHM version 58 and it should reach the Current Tier in June 2016. This document contains details about the update and the status of known issues.

We plan to ensure compatibility with packaged applications, such as phpMyAdmin. However, third party plugin developers must verify their applications function in the new version.

Build information

TierBuild NumberRelease DateNotes
NEXT 11.57.900811.57.9008.154/22/2016

PHP FPM Support is not enabled.

Upgrade details

Updated SoftwareInitial VersionUpgrade VersionNotesExternal Links
PHP5.4.315.6.20
  • We have disabled Deprecation Warnings in the internal PHP logs.
  • We have removed the --with-curlwrappers build option from this installed version of PHP.
  • Specific references to the PHP path and/or custom/specific extensions must use the following path:

    /usr/local/cpanel/3rdparty/php/56/


    When you reference the php binaries, we recommend that you use the linked binaries, if available, in the following path:

     /usr/local/cpanel/3rdparty/bin/
  • Any customizations to the internal php.ini file on systems that you plan to upgrade from a prior version of cPanel & WHM must configure any customizations to the new internal php.ini file. The file resides in the following path:

     /usr/local/cpanel/3rdparty/php/56/etc
Ion Cube4.5.25.1.2 https://www.ioncube.com/faqs/loaders.php
Source Guardian8.310.0 https://sourceguardian.com/demofiles/files/SourceGuardian%20for%20Linux%20User%20Manual.pdf
Zend Guard Loader6.0.07.0.0 

http://www.zend.com/en/products/guard/release-notes

Known issues

We plan to test all impacted areas of cPanel & WHM. As we discover any issues, we will update this page.